Subject: Offline Message from Ryan: My daughter has a t580 twist and the plastic that
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 13 Apr 2022 00:21:49 -0000

From: Ryan <[email-masked]>
Phone: 9092388107
Location: Yucaipa, United States
URL: https://swagtron.com/product/swagtron-t580-replacement-shell-piece-black-lower-right/
Department: SwagTron

My daughter has a t580 twist and the plastic that holds the axle on is broken as well as some of the plastic on the bottom half that holds the screws in. It seems to me that I need a top and bottom piece. I looked through your parts and didn't really see what I was looking for. Please help

----
Zopim
https://www.zopim.com